# Generated by Django 4.1.5 on 2023-03-30 08:20

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Affiliation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Affiliation name")),
                ("address", models.TextField(help_text="The Affiliation address")),
            ],
        ),
        migrations.CreateModel(
            name="Assay",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.TextField(
                        help_text="A concise name given to the investigation."
                    ),
                ),
                (
                    "alias",
                    models.CharField(help_text="Investigation alias", max_length=100),
                ),
                (
                    "nominal_length",
                    models.IntegerField(
                        blank=True, help_text="NOMINAL_LENGTH", null=True
                    ),
                ),
                (
                    "nominal_sdev",
                    models.IntegerField(
                        blank=True, help_text="NOMINAL_SDEV", null=True
                    ),
                ),
                (
                    "library_construction_protocol",
                    models.TextField(
                        blank=True, help_text="library_construction_protocol", null=True
                    ),
                ),
                (
                    "additional_annotation",
                    models.JSONField(
                        blank=True,
                        help_text="Additional annotation tag: value format",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CenterName",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Center Name", unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="ChecksumMethod",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Type file name")),
            ],
        ),
        migrations.CreateModel(
            name="Comment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("value", models.TextField(help_text="Value of comment")),
                ("name", models.TextField(help_text="Name of comment")),
            ],
        ),
        migrations.CreateModel(
            name="Contact",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "corresponding_contact",
                    models.BooleanField(
                        default=False, help_text="Corresponding contact"
                    ),
                ),
                ("affiliation", models.ManyToManyField(to="isa.affiliation")),
            ],
        ),
        migrations.CreateModel(
            name="DesignType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.TextField(
                        blank=True,
                        help_text="A term allowing the classification of the study based on the overall experimental design, e.g cross-over design or parallel group design. The term can be free text or from, for example, a controlled vocabulary or an ontology. If the latter source is used the Term Accession Number and Term Source REF fields below are required.",
                        null=True,
                    ),
                ),
                (
                    "term_accession",
                    models.TextField(
                        blank=True,
                        help_text="The accession number from the Term Source associated with the selected term.",
                        null=True,
                    ),
                ),
                (
                    "term_source",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Study Design Term Source REF has to match one the Term Source Name declared in the Ontology Source Reference section.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Factor",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(
                        help_text="The name of one factor used in the Study and/or Assay files. A factor corresponds to an independent variable manipulated by the experimentalist with the intention to affect biological systems in a way that can be measured by an assay. The value of a factor is given in the Study or Assay file, accordingly."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Instrument",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Instrument name", unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="Investigation",
            fields=[
                (
                    "identifier",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "title",
                    models.TextField(
                        help_text="A concise name given to the investigation."
                    ),
                ),
                (
                    "alias",
                    models.CharField(help_text="Investigation alias", max_length=100),
                ),
                (
                    "description",
                    models.TextField(
                        help_text="A textual description of the investigation."
                    ),
                ),
                (
                    "submission_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date on which the investigation was reported to the repository.",
                    ),
                ),
                (
                    "public_release_date",
                    models.DateField(
                        blank=True,
                        help_text="The date on which the investigation was released publicly.",
                        null=True,
                    ),
                ),
                (
                    "last_modification_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date of the last modification.",
                    ),
                ),
                ("collaborators", models.ManyToManyField(to="isa.contact")),
                ("comments", models.ManyToManyField(to="isa.comment")),
            ],
        ),
        migrations.CreateModel(
            name="LibraryLayout",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(help_text="Library layout name", unique=True),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LibrarySelection",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(help_text="Library selection name", unique=True),
                ),
                (
                    "description",
                    models.TextField(help_text="Library selection description"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LibrarySource",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(help_text="Library source name", unique=True),
                ),
                (
                    "description",
                    models.TextField(help_text="Library source description"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LibraryStrategy",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(help_text="Library strategy name", unique=True),
                ),
                (
                    "description",
                    models.TextField(help_text="Library strategy description"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MaterialType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Library source name")),
                (
                    "description",
                    models.TextField(help_text="Library source description"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MeasurementType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(
                        help_text="An Ontology Annotation to qualify the endpoint, or what is being measured (e.g. gene expression profiling or protein identification)."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PersonContact",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        blank=True,
                        help_text="First name (only if the person isn't a omicsBroker user)",
                        max_length=200,
                        null=True,
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Last name (only if the person isn't a omicsBroker user)",
                        max_length=200,
                        null=True,
                    ),
                ),
                (
                    "mid_initial",
                    models.CharField(
                        blank=True,
                        help_text="The middle initials of a person associated with the study.",
                        max_length=50,
                        null=True,
                    ),
                ),
                (
                    "email",
                    models.EmailField(
                        blank=True,
                        help_text="Email (only if the person isn't a omicsBroker user)",
                        max_length=200,
                        null=True,
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True,
                        help_text="The telephone number of a person .",
                        max_length=50,
                        null=True,
                    ),
                ),
                (
                    "fax",
                    models.CharField(
                        blank=True,
                        help_text="The fax number of a person.",
                        max_length=50,
                        null=True,
                    ),
                ),
                (
                    "address",
                    models.TextField(
                        blank=True, help_text="The address of a person.", null=True
                    ),
                ),
                (
                    "affiliation",
                    models.TextField(
                        blank=True, help_text="The address of a person.", null=True
                    ),
                ),
                (
                    "roles",
                    models.TextField(
                        blank=True,
                        help_text="Term to classify the role(s) performed by this person in the context of the study, which means that the roles reported here need not correspond to roles held withing their affiliated organization. Multiple annotations or values attached to one person can be provided by using a semicolon (“;”) Unicode (U0003+B) as a separator (e.g.: submitter;funder;sponsor) .The term can be free text or from, for example, a controlled vocabulary or an ontology. If the latter source is used the Term Accession Number and Term Source REF fields below are required.",
                        null=True,
                    ),
                ),
                (
                    "roles_term_association_number",
                    models.TextField(
                        blank=True,
                        help_text="The accession number from the Term Source associated with the selected term.",
                        null=True,
                    ),
                ),
                (
                    "roles_term_source_ref",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Source REF has to match one of the Term Source Names declared in the Ontology Source Reference section.",
                        null=True,
                    ),
                ),
                (
                    "corresponding_contact",
                    models.BooleanField(
                        blank=True,
                        default=False,
                        help_text="Corresponding contact",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Platform",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Platform name", unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="Publication",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.TextField(
                        help_text="The title of publication associated with the investigation."
                    ),
                ),
                (
                    "author_list",
                    models.TextField(
                        help_text="The list of authors associated with that publication."
                    ),
                ),
                (
                    "pubmed_id",
                    models.TextField(
                        blank=True,
                        help_text="The PubMed IDs of the described publication(s) associated with this investigation.",
                        null=True,
                    ),
                ),
                (
                    "doi",
                    models.TextField(
                        blank=True,
                        help_text="A Digital Object Identifier (DOI) for that publication (where available).",
                        null=True,
                    ),
                ),
                (
                    "status",
                    models.TextField(
                        choices=[
                            ("submitted", "submitted"),
                            ("in preparation", "in preparation"),
                            ("published", "published"),
                        ],
                        help_text="An Ontology Annotation describing the status of that publication (i.e. submitted, in preparation, published).",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Role",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        choices=[
                            ("All", "Read, Edit, Manage"),
                            ("Edit", "Read, Edit"),
                            ("Read", "Read"),
                        ],
                        default="Read",
                        help_text="Management roles : all (read, edit and delete), Edit (read and edit) and Read (read only). By default: Read",
                        max_length=4,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("label", models.CharField(help_text="Tag label", max_length=50)),
                (
                    "color",
                    models.CharField(
                        default="#e66465", help_text="Tag color", max_length=10
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TechnologyType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(
                        help_text="An Ontology Annotation to identify the technology used to perform the measurement, e.g. DNA microarray, mass spectrometry."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Type",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "annotation_value",
                    models.TextField(
                        blank=True, help_text="Value name type", null=True
                    ),
                ),
                (
                    "term_accession",
                    models.TextField(
                        blank=True,
                        help_text="The accession number from the Term Source associated with the selected term.",
                        null=True,
                    ),
                ),
                (
                    "term_source",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Study Design Term Source REF has to match one the Term Source Name declared in the Ontology Source Reference section.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TypeFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Type file name")),
            ],
        ),
        migrations.CreateModel(
            name="Study",
            fields=[
                (
                    "identifier",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "title",
                    models.TextField(help_text="A concise name given to the study."),
                ),
                (
                    "alias",
                    models.CharField(
                        default="", help_text="Study alias", max_length=100
                    ),
                ),
                (
                    "description",
                    models.TextField(help_text="A textual description of the study."),
                ),
                (
                    "submission_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date on which the study was reported to the repository.",
                    ),
                ),
                (
                    "public_release_date",
                    models.DateField(
                        blank=True,
                        help_text="The date on which the investigation was released publicly.",
                        null=True,
                    ),
                ),
                (
                    "last_modification_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date of the last modification.",
                    ),
                ),
                ("comments", models.ManyToManyField(to="isa.comment")),
                ("contacts", models.ManyToManyField(to="isa.personcontact")),
                ("design_types", models.ManyToManyField(to="isa.designtype")),
                ("factors", models.ManyToManyField(to="isa.factor")),
                (
                    "investigation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="isa.investigation",
                    ),
                ),
                ("publications", models.ManyToManyField(to="isa.publication")),
            ],
        ),
        migrations.CreateModel(
            name="Protocol",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(
                        help_text="The name of the protocols used within the ISA-Tab document. The names are used as identifiers within the ISA-Tab document and will be referenced in the Study and Assay files in the Protocol REF columns. Names can be either local identifiers, unique within the ISA Archive which contains them, or fully qualified external accession numbers."
                    ),
                ),
                (
                    "type",
                    models.TextField(
                        help_text="Term to classify the protocol. The term can be free text or from, for example, a controlled vocabulary or an ontology. If the latter source is used the Term Accession Number and Term Source REF fields below are required."
                    ),
                ),
                (
                    "type_term_accession_number",
                    models.TextField(
                        blank=True,
                        help_text="The accession number from the Term Source associated with the selected term.",
                        null=True,
                    ),
                ),
                (
                    "type_term_source_ref",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Source REF has to match one of the Term Source Name declared in the Ontology Source Reference section.",
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        help_text="A free-text description of the protocol."
                    ),
                ),
                (
                    "uri",
                    models.TextField(
                        blank=True,
                        help_text="Pointer to protocol resources external to the ISA-Tab that can be accessed by their Uniform Resource Identifier (URI).",
                        null=True,
                    ),
                ),
                (
                    "version",
                    models.TextField(
                        blank=True,
                        help_text="An identifier for the version to ensure protocol tracking.",
                        null=True,
                    ),
                ),
                (
                    "parameters_name",
                    models.TextField(
                        blank=True,
                        help_text="A semicolon-delimited (“;”) list of parameter names, used as an identifier within the ISA-Tab document. These names are used in the Study and Assay files (in the “Parameter Value []” column heading) to list the values used for each protocol parameter. Refer to section Multiple values fields in the Investigation File on how to encode multiple values in one field and match term sources",
                        null=True,
                    ),
                ),
                (
                    "parameters_term_accession_number",
                    models.TextField(
                        blank=True,
                        help_text="The accession number from the Term Source associated with the selected term.",
                        null=True,
                    ),
                ),
                (
                    "parameters_term_source_ref",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Source REF has to match one of the Term Source Name declared in the Ontology Source Reference section.",
                        null=True,
                    ),
                ),
                (
                    "components_name",
                    models.TextField(
                        blank=True,
                        help_text="A semicolon-delimited (“;”) list of a protocol’s components; e.g. instrument names, software names, and reagents names. Refer to section Multiple values fields in the Investigation File on how to encode multiple components in one field and match term sources.",
                        null=True,
                    ),
                ),
                (
                    "components_type",
                    models.TextField(
                        blank=True,
                        help_text="Term to classify the protocol components listed for example, instrument, software, detector or reagent. The term can be free text or from, for example, a controlled vocabulary or an ontology. If the latter source is used the Term Accession Number and Term Source REF fields below are required.",
                        null=True,
                    ),
                ),
                (
                    "components_type_term_accession_number",
                    models.TextField(
                        blank=True,
                        help_text="\tThe accession number from the Source associated to the selected terms.",
                        null=True,
                    ),
                ),
                (
                    "components_type_term_source_ref",
                    models.TextField(
                        blank=True,
                        help_text="Identifies the controlled vocabulary or ontology that this term comes from. The Source REF has to match a Term Source Name previously declared in the ontology section",
                        null=True,
                    ),
                ),
                (
                    "procedure_step",
                    models.PositiveIntegerField(help_text="Procedure step"),
                ),
                (
                    "study",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="isa.study"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Material",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "characteristics",
                    models.TextField(
                        help_text="A list of material characteristics that may be qualitative or quantitative in description. Qualitative values MAY be Ontology Annotations, while quantitative values MAY be qualified with a Unit definition."
                    ),
                ),
                (
                    "material_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="isa.materialtype",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="investigation",
            name="contacts",
            field=models.ManyToManyField(to="isa.personcontact"),
        ),
        migrations.AddField(
            model_name="investigation",
            name="publications",
            field=models.ManyToManyField(to="isa.publication"),
        ),
        migrations.AddField(
            model_name="investigation",
            name="tag",
            field=models.ManyToManyField(to="isa.tag"),
        ),
        migrations.AddField(
            model_name="factor",
            name="type",
            field=models.ForeignKey(
                help_text="An classification of this factor into categories.",
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.type",
            ),
        ),
        migrations.CreateModel(
            name="DataFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(help_text="File name", max_length=200)),
                ("alias", models.CharField(help_text="alias", max_length=200)),
                (
                    "checksum",
                    models.CharField(help_text="Checksum", max_length=200, null=True),
                ),
                ("size", models.CharField(help_text="siza", max_length=200, null=True)),
                (
                    "location",
                    models.TextField(blank=True, help_text="File location", null=True),
                ),
                (
                    "assay",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="isa.assay"
                    ),
                ),
                (
                    "center_name",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="isa.centername",
                    ),
                ),
                (
                    "checksum_method",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="isa.checksummethod",
                    ),
                ),
                ("comments", models.ManyToManyField(to="isa.comment")),
                (
                    "type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="isa.typefile"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="contact",
            name="role",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="isa.role"
            ),
        ),
        migrations.AddField(
            model_name="contact",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="center_name",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.centername",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="instrument",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.instrument",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="library_layout",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.librarylayout",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="library_selection",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.libraryselection",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="library_source",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.librarysource",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="library_strategy",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.librarystrategy",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="measurement_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="isa.measurementtype"
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="platform",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="isa.platform",
            ),
        ),
        migrations.AddField(
            model_name="assay",
            name="study",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="isa.study"
            ),
        ),
    ]
